Loading...
Searching...
No Matches
CpuTimer< Accuracy > Class Template Reference

`#include <nanovdb/examples/ex_util/CpuTimer.h>`

## Public Member Functions

| CpuTimer ()
void | start (const std::string &msg, std::ostream &os=std::cerr)
void | restart (const std::string &msg, std::ostream &os=std::cerr)
void | stop (std::ostream &os=std::cerr)

## Constructor & Destructor Documentation

## CpuTimer()

template<typename Accuracy = std::chrono::milliseconds>

CpuTimer | ( |  | ) |

inline

## Member Function Documentation

## restart()

template<typename Accuracy = std::chrono::milliseconds>

void restart | ( | const std::string & | msg,
|  | std::ostream & | os = std::cerr )

inline

## start()

template<typename Accuracy = std::chrono::milliseconds>

void start | ( | const std::string & | msg,
|  | std::ostream & | os = std::cerr )

inline

## stop()

template<typename Accuracy = std::chrono::milliseconds>

void stop | ( | std::ostream & | os = std::cerr | ) |

inline